Bug 1286793 - log: first installation shows git error in evm.log
log: first installation shows git error in evm.log
Status: CLOSED CURRENTRELEASE
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Reporting (Show other bugs)
5.5.0
x86_64 Linux
medium Severity medium
: GA
: 5.7.0
Assigned To: Satoe Imaishi
Jaroslav Henner
container
: TestOnly, ZStream
Depends On:
Blocks: 1290482 1352134
  Show dependency treegraph
 
Reported: 2015-11-30 13:16 EST by Dafna Ron
Modified: 2017-01-12 00:10 EST (History)
8 users (show)

See Also:
Fixed In Version: 5.7.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1290482 1352134 (view as bug list)
Environment:
Last Closed: 2017-01-11 14:59:53 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log (4.30 MB, text/plain)
2015-11-30 13:16 EST, Dafna Ron
no flags Details

  None (edit)
Description Dafna Ron 2015-11-30 13:16:03 EST
Created attachment 1100575 [details]
log

Description of problem:

after first installation, the below appears in log: 
/opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git/git_proxy.rb:155:in `allowed_in_path': The git source git://github.com/ManageIQ/handsoap.git is not yet checked out. Please run `bundle install` before trying to start your application (Bundler::GitError)


Version-Release number of selected component (if applicable):
cfme-5.5.0.12-rc2.1.el7cf.x86_64


How reproducible:

100%

Steps to Reproduce:
1. install latest cfme 
2. less /var/www/miq/vmdb/log/evm.log
3.

Actual results:

we see git exception in log

Expected results:

we should not have a git error logged in fvm.log

Additional info:

/opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git/git_proxy.rb:155:in `allowed_in_path': The git source git://github.com/ManageIQ/handsoap.git is not yet checked out. Please run `bundle install` before trying to start your application (Bundler::GitError)
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git/git_proxy.rb:47:in `revision'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:215:in `revision'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:85:in `install_path'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:110:in `expanded_path'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:132:in `load_spec_files'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:188:in `load_spec_files'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:92:in `local_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:159:in `specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:550:in `block in converge_locked_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:539:in `each'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:539:in `converge_locked_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:195:in `resolve'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:140:in `specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:185:in `specs_for'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:174:in `requested_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/environment.rb:18:in `requested_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/runtime.rb:13:in `setup'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler.rb:127:in `setup'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/setup.rb:18:in `<top (required)>'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:128:in `require'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:128:in `rescue in require'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:39:in `require'
        from /var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54:in `require'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:54:in `require'
        from /var/www/miq/vmdb/script/rails:5:in `<main>'
/opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git/git_proxy.rb:155:in `allowed_in_path': The git source git://github.com/ManageIQ/handsoap.git is not yet checked out. Please run `bundle install` before trying to start your application (Bundler::GitError)
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git/git_proxy.rb:47:in `revision'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:215:in `revision'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:85:in `install_path'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:110:in `expanded_path'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:132:in `load_spec_files'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:188:in `load_spec_files'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/path.rb:92:in `local_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/source/git.rb:159:in `specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:550:in `block in converge_locked_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:539:in `each'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:539:in `converge_locked_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:195:in `resolve'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:140:in `specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:185:in `specs_for'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/definition.rb:174:in `requested_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/environment.rb:18:in `requested_specs'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/runtime.rb:13:in `setup'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler.rb:127:in `setup'
        from /opt/rh/cfme-gemset/gems/bundler-1.10.6/lib/bundler/setup.rb:18:in `<top (required)>'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:128:in `require'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:128:in `rescue in require'
        from /opt/rh/rh-ruby22/root/usr/share/rubygems/rubygems/core_ext/kernel_require.rb:39:in `require'
        from /var/www/miq/vmdb/config/boot.rb:6:in `<top (required)>'
Comment 2 CFME Bot 2015-12-14 22:26:17 EST
New commit detected on ManageIQ/manageiq-appliance/master:
https://github.com/ManageIQ/manageiq-appliance/commit/ddd6972430a1420aef8fafa182359d73d7930617

commit ddd6972430a1420aef8fafa182359d73d7930617
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Mon Dec 14 17:46:13 2015 -0500
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Mon Dec 14 17:46:13 2015 -0500

    Use the rake command in our path rather than `script/rake`
    
    Previously we were using `script/rails runner script/rake` to
    run rake tasks from evmserver.sh. This is unnecessary and was
    causing errors at build time.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1286793

 LINK/usr/bin/evmserver.sh | 19 +++++++------------
 1 file changed, 7 insertions(+), 12 deletions(-)
Comment 3 Dafna Ron 2016-04-25 12:35:15 EDT
verified on cfme-5.6.0.4-beta2.3.1.el7cf.x86_64
Comment 4 Nick Carboni 2016-04-25 13:54:34 EDT
I'm fairly sure this is still not fixed. The clone got pushed back to ON_DEV and I can see the errors still in the referenced build.

How did you test this Dafna?
Comment 5 Nick Carboni 2016-06-24 16:32:49 EDT
Made a PR to just remove the logs as the last part of the kickstart process

https://github.com/ManageIQ/manageiq-appliance-build/pull/138
Comment 6 Nick Carboni 2016-06-24 16:33:53 EDT
Also moving this back to ON_DEV as this is definitely not fixed in 5.6 currently.
Comment 8 CFME Bot 2016-06-30 18:01:52 EDT
New commit detected on ManageIQ/manageiq-appliance-build/master:
https://github.com/ManageIQ/manageiq-appliance-build/commit/5b675c94eab7c79720a4fcb018a7202ababa0986

commit 5b675c94eab7c79720a4fcb018a7202ababa0986
Author:     Nick Carboni <ncarboni@redhat.com>
AuthorDate: Fri Jun 24 13:35:29 2016 -0400
Commit:     Nick Carboni <ncarboni@redhat.com>
CommitDate: Thu Jun 30 17:11:24 2016 -0400

    Clean the rails log directory in the kickstart post
    
    Some things that are done during the build process have the
    potential to print to the logs.
    None of this should be present when the machine is deployed
    for the first time.
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1286793

 kickstarts/base.ks.erb | 3 +++
 1 file changed, 3 insertions(+)
Comment 9 Nick Carboni 2016-07-01 08:55:19 EDT
Assigning to Satoe for downstream specific changes.
Comment 12 CFME Bot 2016-07-08 11:11:28 EDT
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=ec12682d24b40255786e82f3d01cf177d0eb7d60

commit ec12682d24b40255786e82f3d01cf177d0eb7d60
Merge: 3fd0962 b0f4e0f
Author:     Jason Frey <jfrey@redhat.com>
AuthorDate: Fri Jul 8 10:51:39 2016 -0400
Commit:     Jason Frey <jfrey@redhat.com>
CommitDate: Fri Jul 8 10:51:39 2016 -0400

    Merge branch 'clean_log_dir' into 'master'
    
    Clean the rails log directory in the kickstart post
    
    (https://github.com/ManageIQ/manageiq-appliance-build/pull/138)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1286793
    
    See merge request !301

 manageiq-appliance-build/productization/kickstarts/base.ks.erb | 3 +++
 1 file changed, 3 insertions(+)
Comment 13 CFME Bot 2016-07-08 11:11:32 EDT
New commit detected on cfme_productization/master:
https://code.engineering.redhat.com/gerrit/gitweb?p=cfme_productization.git;a=commit;h=b0f4e0f3bb5446ee254d0ae4d5df1a5b50417767

commit b0f4e0f3bb5446ee254d0ae4d5df1a5b50417767
Author:     Satoe Imaishi <simaishi@redhat.com>
AuthorDate: Fri Jul 1 18:05:05 2016 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jul 1 18:19:35 2016 -0400

    Clean the rails log directory in the kickstart post
    (https://github.com/ManageIQ/manageiq-appliance-build/pull/138)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1286793

 manageiq-appliance-build/productization/kickstarts/base.ks.erb | 3 +++
 1 file changed, 3 insertions(+)
Comment 14 Jaroslav Henner 2016-10-25 07:42:35 EDT
I am not sure do I test it the right way, but upon the boot of the cfme appliance, there is only

# cat /var/www/miq/vmdb/log/evm.log 
Tue Oct 25 11:19:49 UTC 2016 EVMINIT   EVM Appliance Booted

When the evmd is fully running, there is no error message

[root@host-172-16-165-29 ~]# grep handsoap /var/www/miq/vmdb/log/evm.log
[root@host-172-16-165-29 ~]#

Note You need to log in before you can comment on or make changes to this bug.